#include <bits/stdc++.h>
using namespace std;

long long q,n,a[1000005],l,r,br;

int main(){
  scanf("%lld",&n);
  for(int i = 1; i <= n; i++){
    scanf("%lld",&(a[i]));
  }
  scanf("%lld",&q);
  for(int i = 1; i <= q; i++){
    scanf("%lld%lld",&l,&r);
    br = 0;
    for(int j = l; j < r; j++){
      if(a[j] > a[j+1]){
        br++;
      }
    }
    if(br >= 2){
      printf("NE\n");
    }
    else{
      printf("DA\n");
    }
  }
  return 0;
}